<?php
/*
 * @component QuickDownload
 * @version 2.1 "28082012"
 * @website : http://www.beesto.com
 * @copyright Copyright (C) 2011 Ionut Lupu & Popa S. Alexandru. All rights reserved.
 * @license : http://www.gnu.org/copyleft/gpl.html GNU/GPL , see license.txt
 */
 
 
// Check to ensure this file is included in Joomla!
defined('_JEXEC') or die('Restricted access');


JHtml::_('behavior.tooltip');
JHtml::_('behavior.formvalidation');
JHtml::_('behavior.keepalive');
?>
<script type="text/javascript">
	Joomla.submitbutton = function(task)
	{
		if (task == 'code.cancel' || document.formvalidator.isValid(document.id('code-form'))) {
			Joomla.submitform(task, document.getElementById('code-form'));
		} else {
			alert('<?php echo $this->escape(JText::_('JGLOBAL_VALIDATION_FORM_FAILED'));?>');
		}
	}
</script>

<form action="<?php echo JRoute::_('index.php?option=com_quickdownload&view=codes&layout=edit&id='.(int) $this->item->id); ?>" method="post" name="adminForm" id="code-form" class="form-validate">
	<div class="width-60 fltlft">
		<fieldset class="adminform">
			<legend><?php echo JText::_('COM_QUICKDOWNLOAD_FILES_DETAILS') ; ?></legend>
			<ul class="adminformlist">
				
			<li><?php echo $this->form->getLabel('id'); ?>
			<?php echo $this->form->getInput('id'); ?></li>
			
			<li><?php echo $this->form->getLabel('title'); ?>
			<?php echo $this->form->getInput('title'); ?></li>
			
			<?php if ($this->item->id) { ?>
			
				<li><?php echo $this->form->getLabel('code'); ?>
				<?php echo $this->form->getInput('code'); ?></li>
				
				<li><?php echo $this->form->getLabel('created'); ?>
				<?php echo $this->form->getInput('created'); ?></li>
				
			<?php } ?>
			
			<li><?php echo $this->form->getLabel('limit_hits_total'); ?>
			<?php echo $this->form->getInput('limit_hits_total'); ?></li>
			
			<li><?php echo $this->form->getLabel('limit_hits_day'); ?>
			<?php echo $this->form->getInput('limit_hits_day'); ?></li>
			
			<li><?php echo $this->form->getLabel('limit_publish_from'); ?>
			<?php echo $this->form->getInput('limit_publish_from'); ?></li>
			
			<li><?php echo $this->form->getLabel('limit_publish_to'); ?>
			<?php echo $this->form->getInput('limit_publish_to'); ?></li>
			
			<li><?php echo $this->form->getLabel('published'); ?>
			<?php echo $this->form->getInput('published'); ?></li>
	
			<li><?php echo $this->form->getLabel('hits'); ?>
			<?php echo $this->form->getInput('hits'); ?></li>
			
			</ul>
		</fieldset>
	</div>

	<div class="width-40 fltrt">
		<?php echo JHtml::_('sliders.start','newsfeed-sliders-'.$this->item->id, array('useCookie'=>1)); ?>

			<?php echo JHtml::_('sliders.panel',JText::_('COM_QUICKDOWNLOAD_CODES_FILES_ATTACHED'), 'publishing-details'); ?>

			<fieldset class="panelform">
			<ul class="adminformlist">
			
				<li>
					<?php echo QuickDownloadHelper::getFiles ( $this->item->id ) ;?>
				</li>
				
				</ul>
			</fieldset>

		<?php echo JHtml::_('sliders.end'); ?>
		<input type="hidden" name="task" value="" />
		<?php echo JHtml::_('form.token'); ?>
	</div>

	<div class="clr"></div>
</form>
