<?php
/*
 * @component QuickDownload
 * @version 2.1 "28082012"
 * @website : http://www.beesto.com
 * @copyright Copyright (C) 2011 Ionut Lupu & Popa S. Alexandru. All rights reserved.
 * @license : http://www.gnu.org/copyleft/gpl.html GNU/GPL , see license.txt
 */
 
// Check to ensure this file is included in Joomla!
defined('_JEXEC') or die('Restricted access');

JHtml::_('behavior.tooltip');
$user		= JFactory::getUser();
$userId		= $user->get('id');
$listOrder	= $this->state->get('list.ordering');
$listDirn	= $this->state->get('list.direction');
$canOrder	= $user->authorise('core.edit.state', 'com_quickdownload');
$canChange	= $user->authorise('core.edit.state','com_quickdownload');
$state		= array ('0'=>JText::_('COM_QUICKDOWNLOAD_UNPUBLISHED'),'1'=>JText::_('COM_QUICKDOWNLOAD_PUBLISHED'));


?>

<form action="<?php echo JRoute::_('index.php?option=com_quickdownload&view=codes'); ?>" method="post" name="adminForm" id="adminForm">
	
	<fieldset id="filter-bar">
		
		<div class="filter-search fltlft">
			<label class="filter-search-lbl" for="filter_search"><?php echo JText::_('JSEARCH_FILTER_LABEL'); ?></label>
			<input type="text" name="filter_search" id="filter_search" value="<?php echo $this->state->get('filter.search'); ?>" title="" />
			<button type="submit"><?php echo JText::_('JSEARCH_FILTER_SUBMIT'); ?></button>
			<button type="button" onclick="document.id('filter_search').value='';this.form.submit();"><?php echo JText::_('JSEARCH_FILTER_CLEAR'); ?></button>
		</div>
		
		<div class="filter-select fltrt">
			<select name="filter_published" class="inputbox" onchange="this.form.submit()">
				<option value=""> - <?php echo JText::_('COM_QUICKDOWNLOAD_FILES_SELECT_STATE');?> - </option>
				<?php echo JHtml::_('select.options', $state  , 'value', 'text', $this->state->get('filter.published'));?>
			</select>
		</div>
		
	</fieldset>
	<div class="clr"> </div>
	
<table class="adminlist">
<thead>
	<tr>
	
		<th width="1%">
			<input type="checkbox" name="toggle" value="" onclick="checkAll(this)" />
		</th>
		
		<th width="45%" align="center">
			<?php echo JHtml::_('grid.sort', 'COM_QUICKDOWNLOAD_CODES_TITLE', 'a.title', $listDirn, $listOrder); ?>
		</th>
		
		<th width="25%" align="center">
			<?php echo JHtml::_('grid.sort', 'COM_QUICKDOWNLOAD_CODES_CODE', 'a.code', $listDirn, $listOrder); ?>
		</th>
		
		<th width="14%">
			<?php echo JHtml::_('grid.sort', 'COM_QUICKDOWNLOAD_CODES_CREATED', 'a.created', $listDirn, $listOrder); ?>
		</th>
		
		<th width="10%">
			<?php echo JHtml::_('grid.sort', 'COM_QUICKDOWNLOAD_CODES_STATE', 'a.published', $listDirn, $listOrder); ?>
		</th>
		
		<th width="5%">
			<?php echo JHtml::_('grid.sort', 'COM_QUICKDOWNLOAD_ID', 'a.id', $listDirn, $listOrder); ?>
		</th>
		
	</tr>
</thead>

<tbody>
<?php foreach ($this->items as $i => $item) {
?>
<tr class="row<?php echo $i % 2; ?>">

	<td class="center">
		<?php echo JHtml::_('grid.id', $i, $item->id); ?>
	</td>
	
	<td class="center">
		<a href="index.php?option=com_quickdownload&task=code.edit&id=<?php echo $item->id;?>"><?php echo $this->escape($item->title);?></a>
	</td>
	
	<td class="center">
		<?php echo $this->escape($item->code);?>
	</td>
	
	<td class="center">
		<?php echo $item->created;  ?>
	</td>
	
	<td class="center">
		<?php echo JHtml::_('jgrid.published',  $item->published, $i , 'codes.', $canChange , 'cb'); ?>
	</td>
	
	<td class="center">
		<?php echo $item->id; ?>
	</td>
	
</tr>

<?php } ?>
</tbody>
			
<tfoot>
	<tr>
		<td colspan="11">
			<?php echo $this->pagination->getListFooter(); ?>
		</td>
	</tr>
</tfoot>
</table>

		<input type="hidden" name="task" value="" />
		<input type="hidden" name="boxchecked" value="0" />
		<input type="hidden" name="filter_order" value="<?php echo $listOrder; ?>" />
		<input type="hidden" name="filter_order_Dir" value="<?php echo $listDirn; ?>" />
		<?php echo JHtml::_('form.token'); ?>
</form>
