<?php
/*
 * @component QuickDownload
 * @version 2.1 "28082012"
 * @website : http://www.beesto.com
 * @copyright Copyright (C) 2011 Ionut Lupu & Popa S. Alexandru. All rights reserved.
 * @license : http://www.gnu.org/copyleft/gpl.html GNU/GPL , see license.txt
 */
 
 
// Check to ensure this file is included in Joomla!
defined('_JEXEC') or die('Restricted access');

$extension = QuickDownloadHelper::getExtensionDetails ('quickdownload');

?>
 
<div class="cpanel-left">
	<div id="cpanel">
	
		<div class="icon-wrapper">
			<div class="icon">
				<a href="index.php?option=com_quickdownload&view=files">
					<img alt="" src="components/com_quickdownload/assets/images/icon-48-files.png">			
					<span><?php echo JText::_( 'COM_QUICKDOWNLOAD_FILES' ) ;?></span></a>
			</div>
		</div>
		
		<div class="icon-wrapper">
			<div class="icon">
				<a href="index.php?option=com_quickdownload&view=codes">
					<img alt="" src="components/com_quickdownload/assets/images/icon-48-codes.png">			
					<span><?php echo JText::_( 'COM_QUICKDOWNLOAD_CODES' ) ;?></span></a>
			</div>
		</div>

	</div>
	
	<div class="clr"></div>
	<p style="font-size:14px;">If you want to have more control over your file access we recommend you to take a look at our component <a href="http://extensions.joomla.org/extensions/access-a-security/site-access/content-restriction/12685">J!Extranet</a>.</p>

</div>


<div class="cpanel-right">
	<div style="border:1px solid #ccc;background:#fff;margin:15px;padding:15px">
		<div style="float:right;margin:10px;">
			<?php echo JHTML::_('image', 'administrator/components/com_quickdownload/assets/images/logo.png', 'beesto.com' );?>
		</div>
			
		<h3><?php echo  JText::_('COM_QUICKDOWNLOAD_VERSION') ; ?></h3>
		<p><?php echo $extension['version'];?></p>

		<h3><?php echo  JText::_('COM_QUICKDOWNLOAD_COPYRIGHT') ; ?></h3>
		<p><?php echo '&copy ' . $extension['creationDate'] . ' ' . $extension['copyright'];?></p>

		<h3><?php echo  JText::_('COM_QUICKDOWNLOAD_LICENSE') ; ?></h3>
		<p>GNU/GPL</p>
		
		<h3><?php echo  JText::_('COM_QUICKDOWNLOAD_URL') ; ?></h3>
		<p><?php echo $extension['authorUrl'];?></p>
		
		<h3>Feedback</h3>
		<p>If you use QuickDownload, please post a rating and a review at the <a href="http://extensions.joomla.org/extensions/directory-a-documentation/downloads/14306">Joomla! Extensions Directory</a>.</p>
	</div>
</div>
